Java - SDK

Gegroet, Voor school moeten wij leren programmeren met Java. En Java zou normaal standaard op Mac staan, maar als ik een app schrijf in Eclips, krijg ik een foutmelding. Krijgt iemand Eclips wél werkend op Mac en zoja, hoe? Mvg,

Eclips heb ik nog niet geprobeerd maar van netbeans ben ik zeker dat die werkt op mac. Misschien kan je die gebruiken ?

Welke foutmelding krijg je dan? Hier doet eclipse het prima op Leopard.

graag wat meer informatie (foutmelding,versie java / os)

[quote:e1b5ac0ea3="leaf"]graag wat meer informatie (foutmelding,versie java / os)[/quote:e1b5ac0ea3]

Inderdaad, bij mij op het HBO kregen we dat via BlueJ.
Boek en programma zijn echt geniaal om makkelijk en snel java te leren.

OS: 10.5.5 (binnenkort terug 10.5.2) Java: 1.6 Fout: [code:1:19e8454e66]selection does not contain a main type.[/code:1:19e8454e66]

hoewel [i:19e8454e66]exact[/i:19e8454e66] dezelfde code het wél doet bij Eclips onder Windows.

Mvg,

Betekend dat niet gewoon dat je een bestand gecomprimeerd hebt en probeert te runnen dat geen public static void main functie bevat? Dan zou het normaal moeten werken aangezien java platformonafhankelijk is... Is dat de enige foutregel?

Er is wel degelijk een Public static void main functie, maar code x werkt wél onder Windows, maar code x werkt dan weer niet onder Mac. Het gaat hier om [i:e8a664390e]exact[/i:e8a664390e] dezelfde codes! Gek gek gek! Wie weet raad? Mvg,